欢迎来到Doc100.Net免费学习资源知识分享平台!
您的位置:首页 > 程序异常 >

arcgis version not specified. you must call runtimemanager.bind before creating,该怎么处理

更新时间: 2014-01-05 02:58:28 责任编辑: Author_N1

 

ArcGIS version not specified. You must call RuntimeManager.Bind before creating
    各位好,我在VS2008中用VB+AO进行二次开发,在创建项目是是窗体应用程序,然后通过向窗体中添加ArcGIS Windows Form来设计窗体,可是运行后,会出现下面的错误:
ArcGIS version not specified. You must call RuntimeManager.Bind before creating any ArcGIS.
    而如果创建项目时如果直接创建ArcGIS下的MapControl Application,运行时就不会出现问题。
    我想问的是:1)为什么两种方式创建项目,一种没问题,而另一种有问题
                2)在网上搜资料时,看到有人说:在系统的入口添加下面的一行代码ESRI.ArcGIS.RuntimeManager.Bind(ESRI.ArcGIS.ProductCode.EngineOrDesktop); 这是C#的解决方案,在VB创建的应用窗口程序中只有My Project和Form.vb两个文件,怎样解决上述问题呢?

--参考方法--
在系统的入口添加下面的一行代码ESRI.ArcGIS.RuntimeManager.Bind(ESRI.ArcGIS.ProductCode.EngineOrDesktop);

你知道这行加在哪里么?
program.cs

你的vb项目里理应也有这个类
上一篇:上一篇
下一篇:下一篇

 

随机推荐程序问答结果

 

 

如对文章有任何疑问请提交到问题反馈,或者您对内容不满意,请您反馈给我们DOC100.NET论坛发贴求解。
DOC100.NET资源网,机器学习分类整理更新日期::2014-01-05 02:58:28
如需转载,请注明文章出处和来源网址:http://www.doc100.net/bugs/t/16822/
本文WWW.DOC100.NET DOC100.NET版权所有。